rsb_initopts Struct Reference

A structure specifying library (initialization) options, to be used with the rsb_lib_reinit() function.
. More...

`#include <rsb.h>`

## Data Fields

enum rsb_opt_t * | keys
void ** | values
rsb_int_t | n_pairs
rsb_int_t | action

## Detailed Description

A structure specifying library (initialization) options, to be used with the rsb_lib_reinit() function.
.

The structure specifies, for `i=0`,..,n_pairs-1 , a list of (key,value) pairs, stored respectively as (`keys`[i],values[i]).
Each flag specifies the type and possible range of values it accepts.
The structure may he used to set or query various library parameters.

Example:

const int max_io=10; // the number of different options we want to set
struct rsb_initopts io={NULL,NULL,0,RSB_IO_SPECIFIER_SET},
*iop=&io; // pointer to the options structure
void * io_values[max_io]; // an array of pointers to max_io different option values (we shall set)
enum rsb_opt_t io_keys[max_io]; // an array of max_io flag values specifying the type of values we are handing over to the library
io.keys=io_keys; // io.keys will now point to io_keys as its keys array
io.values=io_values; // io.values will now point to io_keys as its values array
io.n_pairs=0; // we have 0 pairs specified so far
io.keys[io.n_pairs]=RSB_IO_WANT_BOUNDED_BOX_COMPUTATION; // the first (at index 0) option we want to specify is RSB_IO_WANT_BOUNDED_BOX_COMPUTATION
io.values[io.n_pairs]=1; // the value we want to set the RSB_IO_WANT_BOUNDED_BOX_COMPUTATION option to
io.n_pairs++; // io.n_pairs is set to 1: we have one option set, so even if we have (max_io-io.n_pairs) left, only the first will be read
... // we are free to specify other option (type, value) pairs
rsb_opt_t
rsb_opt_t
library option values for \see_lib_init_funcs.
Definition rsb.h:699
RSB_IO_WANT_BOUNDED_BOX_COMPUTATION
@ RSB_IO_WANT_BOUNDED_BOX_COMPUTATION
Definition rsb.h:735
RSB_IO_SPECIFIER_SET
#define RSB_IO_SPECIFIER_SET
Definition rsb.h:846
rsb_initopts
A structure specifying library (initialization) options, to be used with the rsb_lib_reinit() functio...
Definition rsb.h:834
rsb_initopts::values
void ** values
Definition rsb.h:838
rsb_initopts::n_pairs
rsb_int_t n_pairs
Definition rsb.h:840
rsb_initopts::keys
enum rsb_opt_t * keys
Definition rsb.h:836

## Field Documentation

## action

rsb_int_t rsb_initopts::action

The action we are requesting (either one of RSB_IO_SPECIFIER_GET or RSB_IO_SPECIFIER_SET)

## keys

enum rsb_opt_t* rsb_initopts::keys

An array of value types key flags.

## n_pairs

rsb_int_t rsb_initopts::n_pairs

The length of the `keys` and `values` arrays.

## values

void** rsb_initopts::values

An array of value pointers, as specified by each flag value.

The documentation for this struct was generated from the following file:

- rsb.h